<script>
jQuery(document).ready(function() {

	// Uploading files
	jQuery('#upload_texture_button').click(function(event) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			jQuery('#texturePath').val(attachment.url);
			jQuery('#texturePath_img').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});



	jQuery('#upload_WrapperBgImage_button').click(function(event) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			jQuery('#thumbsWrapperBgImage').val(attachment.url);
			jQuery('#thumbsWrapperBgImage_img').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});

});
</script>




<div class="wrap">
	<div id="lbg_logo">
			<h2><?php esc_html_e( 'Slider Settings for slider:' , 'lbg-fullwidth' );?> <span style="color:#FF0000; font-weight:bold;"><?php echo strip_tags($_SESSION['xname'])?> - ID #<?php echo strip_tags($_SESSION['xid'])?></span></h2>
 	</div>

    <div style="text-align:center; padding:0px 0px 20px 0px;"><img src="<?php echo plugins_url('images/icons/magnifier.png', dirname(__FILE__))?>" alt="add" align="absmiddle" /> <a href="javascript: void(0);" onclick="showDialogPreview(<?php echo strip_tags($_SESSION['xid'])?>)"><?php esc_html_e( 'Preview Slider' , 'lbg-fullwidth' );?></a></div>

  <form method="POST" enctype="multipart/form-data" id="form-lbg_fullscreen_fullwidth_slider_settings">
	<script>
	jQuery(function() {
		var icons = {
			header: "ui-icon-circle-arrow-e",
			headerSelected: "ui-icon-circle-arrow-s"
		};
		jQuery( "#accordion" ).accordion({
			icons: icons,
			autoHeight: false
		});
	});
	</script>

<div id="previewDialog"><iframe id="previewDialogIframe" src="" width="100%" height="600" style="border:0;"></iframe></div>

<div id="accordion">
  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e( 'General Settings' , 'lbg-fullwidth' );?></a></h3>
  <div style="padding:30px;">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">

		  <tr>
		    <td align="right" valign="top" class="row-title" width="30%"><?php esc_html_e( 'Slider Name' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="top" width="80%"><input name="name" type="text" size="40" id="name" value="<?php echo strip_tags($_SESSION['xname']);?>"/></td>
	      </tr>
		  <tr>
            <td width="30%" align="right" valign="top" class="row-title"><?php esc_html_e( 'Slider Width' , 'lbg-fullwidth' );?></td>
		    <td width="80%" align="left" valign="top"><input name="width" type="text" size="15" id="width" value="<?php echo strip_tags($_POST['width']);?>"/>
		    px &nbsp;&nbsp;&nbsp;&nbsp; <i><?php esc_html_e( '(used as proportion, only for FullWidth Slider - Height 100%:false)' , 'lbg-fullwidth' );?></i></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Slider Height' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="top"><input name="height" type="text" size="15" id="height" value="<?php echo strip_tags($_POST['height']);?>"/>
		    px &nbsp;&nbsp;&nbsp;&nbsp; <i><?php esc_html_e( '(used as proportion, only for FullWidth Slider - Height 100%:false)' , 'lbg-fullwidth' );?></i></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Set as Background' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="setAsBg" id="setAsBg">
              <option value="true" <?php echo (($_POST['setAsBg']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['setAsBg']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		<tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Height 100%' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="height100Proc" id="height100Proc">
              <option value="true" <?php echo (($_POST['height100Proc']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['height100Proc']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Responsive Relative To Browser' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="responsiveRelativeToBrowser" id="responsiveRelativeToBrowser">
              <option value="true" <?php echo (($_POST['responsiveRelativeToBrowser']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['responsiveRelativeToBrowser']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Skin Name' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="skin" id="skin">
		      <option value="bullets" <?php echo (($_POST['skin']=='bullets')?'selected="selected"':'')?>>bullets</option>
		      <option value="thumbs" <?php echo (($_POST['skin']=='thumbs')?'selected="selected"':'')?>>thumbs</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Auto Play' , 'lbg-fullwidth' );?> </td>
		    <td align="left" valign="middle"><input name="autoPlay" type="text" size="15" id="autoPlay" value="<?php echo strip_tags($_POST['autoPlay']);?>"/>
		      seconds</td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Loop' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="loop" id="loop">
              <option value="true" <?php echo (($_POST['loop']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['loop']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Fade Slides' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="fadeSlides" id="fadeSlides">
		      <option value="true" <?php echo (($_POST['fadeSlides']=='true')?'selected="selected"':'')?>>true</option>
		      <option value="false" <?php echo (($_POST['fadeSlides']=='false')?'selected="selected"':'')?>>false</option>
		      </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Target Window For Link' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="target" id="target">
		      <option value="_blank" <?php echo (($_POST['target']=='_blank')?'selected="selected"':'')?>>_blank</option>
		      <option value="_self" <?php echo (($_POST['target']=='_self')?'selected="selected"':'')?>>_self</option>
            </select></td>
	      </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Pause On Mouse Over' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="pauseOnMouseOver" id="pauseOnMouseOver">
              <option value="true" <?php echo (($_POST['pauseOnMouseOver']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['pauseOnMouseOver']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Texture Path' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><input name="texturePath" type="text" id="texturePath" size="60" value="<?php echo strip_tags($_POST['texturePath'])?>" /> <input name="upload_texture_button" type="button" id="upload_texture_button" value="Upload Image" />
	        <br />
	        <?php esc_html_e( 'Enter an URL or upload an image' , 'lbg-fullwidth' );?><br />
            <img src="<?php echo strip_tags($_POST['texturePath'])?>" id="texturePath_img" /></td>

	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Video Proportion Width' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><input name="videoProportionWidth" type="text" size="15" id="videoProportionWidth" value="<?php echo strip_tags($_POST['videoProportionWidth']);?>"/>
		      <br />
		      <em><?php esc_html_e( 'The video proportion is considered to be 16/9. If your video has another   proportion, you can set a different value here. The height proportion   will always be 9' , 'lbg-fullwidth' );?></em></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Enable Touch Screen' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="enableTouchScreen" id="enableTouchScreen">
              <option value="true" <?php echo (($_POST['enableTouchScreen']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['enableTouchScreen']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>


      </table>
  </div>


  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e( 'Controllers Settings' , 'lbg-fullwidth' );?></a></h3>
  <div style="padding:30px;">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">

		  <tr>
		    <td align="right" valign="top" class="row-title" width="20%"><?php esc_html_e( 'Show All Controllers' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle" width="80%"><select name="showAllControllers" id="showAllControllers">
              <option value="true" <?php echo (($_POST['showAllControllers']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showAllControllers']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Show Navigation Arrows' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="showNavArrows" id="showNavArrows">
              <option value="true" <?php echo (($_POST['showNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
         <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Show Navigation Arrows On Init' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="showOnInitNavArrows" id="showOnInitNavArrows">
              <option value="true" <?php echo (($_POST['showOnInitNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showOnInitNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
         <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Auto Hide Navigation Arrows' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="autoHideNavArrows" id="autoHideNavArrows">
              <option value="true" <?php echo (($_POST['autoHideNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoHideNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Show Bottom Navigation' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="showBottomNav" id="autoPlay">
              <option value="true" <?php echo (($_POST['showBottomNav']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showBottomNav']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Show Bottom Navigation On Init' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="showOnInitBottomNav" id="showOnInitBottomNav">
              <option value="true" <?php echo (($_POST['showOnInitBottomNav']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showOnInitBottomNav']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Auto Hide Bottom Navigation' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="autoHideBottomNav" id="autoHideBottomNav">
              <option value="true" <?php echo (($_POST['autoHideBottomNav']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoHideBottomNav']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Show Preview Thumbs' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="showPreviewThumbs" id="showPreviewThumbs">
              <option value="true" <?php echo (($_POST['showPreviewThumbs']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showPreviewThumbs']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Bottom Navigation - margin-top' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><input name="thumbsWrapperMarginTop" type="text" size="15" id="thumbsWrapperMarginTop" value="<?php echo strip_tags($_POST['thumbsWrapperMarginTop']);?>"/>
		      px</td>
	    </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Number Of Thumbs Per Screen' , 'lbg-fullwidth' );?></td>
          <td align="left" valign="middle"><input name="numberOfThumbsPerScreen" type="text" size="15" id="numberOfThumbsPerScreen" value="<?php echo strip_tags($_POST['numberOfThumbsPerScreen']);?>"/>
          <i>If you set it to 0, it will be calculated automatically. (parameter available only for 'thumbs' skin)</i></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Bottom Nav Pos' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><select name="bottomNavPos" id="bottomNavPos">
              <option value="left" <?php echo (($_POST['bottomNavPos']=='left')?'selected="selected"':'')?>>left</option>
              <option value="center" <?php echo (($_POST['bottomNavPos']=='center')?'selected="selected"':'')?>>center</option>
              <option value="right" <?php echo (($_POST['bottomNavPos']=='right')?'selected="selected"':'')?>>right</option>
            </select></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Bottom Nav Lateral Margin' , 'lbg-fullwidth' );?></td>
          <td width="80%" align="left" valign="top"><input name="bottomNavLateralMargin" type="text" size="15" id="bottomNavLateralMargin" value="<?php echo strip_tags($_POST['bottomNavLateralMargin']);?>"/>
		    px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Thumbs Wrapper Bg (Image' , 'lbg-fullwidth' );?>)</td>
          <td align="left" valign="middle"><p>
            <input name="thumbsWrapperBgImage" type="text" id="thumbsWrapperBgImage" size="60" value="<?php echo strip_tags($_POST['thumbsWrapperBgImage'])?>" />
            <input name="upload_WrapperBgImage_button" type="button" id="upload_WrapperBgImage_button" value="Upload Image" />
            <br />
            <?php esc_html_e( 'Enter an URL or upload an image.' , 'lbg-fullwidth' );?><br />
            <?php esc_html_e( 'If	you\'ll load an image' , 'lbg-fullwidth' );?>, "<span class="row-title"><?php esc_html_e( 'Thumbs Wrapper Bg (hexa)' , 'lbg-fullwidth' );?></span>" <?php esc_html_e( 'will be ignored' , 'lbg-fullwidth' );?><br />
            <em><?php esc_html_e( '(parameter available only for "thumbs" skin)' , 'lbg-fullwidth' );?></em></p>
            <img src="<?php echo strip_tags($_POST['thumbsWrapperBgImage'])?>" id="thumbsWrapperBgImage_img" />
            </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Thumbs Wrapper Bg (hexa)' , 'lbg-fullwidth' );?></td>
          <td align="left" valign="middle"><input name="thumbsWrapperBgHexa" type="text" size="25" id="thumbsWrapperBgHexa" value="<?php echo strip_tags($_POST['thumbsWrapperBgHexa']);?>" style="background-color:#<?php echo strip_tags($_POST['thumbsWrapperBgHexa']);?>" />
                <script>
jQuery('#thumbsWrapperBgHexa').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script> <em><?php esc_html_e( '(parameter available only for "thumbs" skin)' , 'lbg-fullwidth' );?></em></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Thumbs Border Color ON' , 'lbg-fullwidth' );?></td>
          <td align="left" valign="middle"><input name="thumbsBorderColorON" type="text" size="25" id="thumbsBorderColorON" value="<?php echo strip_tags($_POST['thumbsBorderColorON']);?>" style="background-color:#<?php echo strip_tags($_POST['thumbsBorderColorON']);?>" />
                <script>
jQuery('#thumbsBorderColorON').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>           <em><?php esc_html_e( '(parameter available only for "thumbs" skin)' , 'lbg-fullwidth' );?></em></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Thumbs Border Color OFF' , 'lbg-fullwidth' );?></td>
          <td align="left" valign="middle"><input name="thumbsBorderColorOFF" type="text" size="25" id="thumbsBorderColorOFF" value="<?php echo strip_tags($_POST['thumbsBorderColorOFF']);?>" style="background-color:#<?php echo strip_tags($_POST['thumbsBorderColorOFF']);?>" />
                <script>
jQuery('#thumbsBorderColorOFF').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            <em><?php esc_html_e( '(parameter available only for "thumbs" skin)' , 'lbg-fullwidth' );?></em></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title">&nbsp;</td>
          <td align="left" valign="middle">&nbsp;</td>
        </tr>

      </table>
  </div>


<h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e( 'Circle Timer Settings' , 'lbg-fullwidth' );?></a></h3>
  <div style="padding:30px;">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">
		<tr>
		    <td align="right" valign="top" class="row-title" width="20%"><?php esc_html_e( 'Show Circle Timer' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle" width="80%"><select name="showCircleTimer" id="showCircleTimer">
              <option value="true" <?php echo (($_POST['showCircleTimer']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showCircleTimer']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Circle Radius' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><input name="circleRadius" type="text" size="15" id="circleRadius" value="<?php echo strip_tags($_POST['circleRadius']);?>"/></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Circle Line Width' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><input name="circleLineWidth" type="text" size="15" id="circleLineWidth" value="<?php echo strip_tags($_POST['circleLineWidth']);?>"/></td>
	    </tr>
<tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Circle Color' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="top"><input name="circleColor" type="text" size="25" id="circleColor" value="<?php echo strip_tags($_POST['circleColor']);?>" style="background-color:#<?php echo strip_tags($_POST['circleColor']);?>" />
                <script>
jQuery('#circleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Circle Alpha' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#circleAlpha-slider-range-min" ).slider({
			range: "min",
			value: <?php echo strip_tags($_POST['circleAlpha']);?>,
			min: 0,
			max: 100,
			slide: function( event, ui ) {
				jQuery( "#circleAlpha" ).val(ui.value );
			}
		});
		jQuery( "#circleAlpha" ).val( jQuery( "#circleAlpha-slider-range-min" ).slider( "value" ) );
	});
	        </script>
                <div id="circleAlpha-slider-range-min" class="inlinefloatleft" style="width:200px;"></div>
		      <div class="inlinefloatleft" style="padding-left:20px;">%
		        <input name="circleAlpha" type="text" size="10" id="circleAlpha" style="border:0; color:#000000; font-weight:bold;"/>
	          </div></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Behind Circle Color' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="top"><input name="behindCircleColor" type="text" size="25" id="behindCircleColor" value="<?php echo strip_tags($_POST['behindCircleColor']);?>" style="background-color:#<?php echo strip_tags($_POST['behindCircleColor']);?>" />
                <script>
jQuery('#behindCircleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Behind Circle Alpha' , 'lbg-fullwidth' );?></td>
		    <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#behindCircleAlpha-slider-range-min" ).slider({
			range: "min",
			value: <?php echo strip_tags($_POST['behindCircleAlpha']);?>,
			min: 0,
			max: 100,
			slide: function( event, ui ) {
				jQuery( "#behindCircleAlpha" ).val(ui.value );
			}
		});
		jQuery( "#behindCircleAlpha" ).val( jQuery( "#behindCircleAlpha-slider-range-min" ).slider( "value" ) );
	});
	        </script>
                <div id="behindCircleAlpha-slider-range-min" class="inlinefloatleft" style="width:200px;"></div>
		      <div class="inlinefloatleft" style="padding-left:20px;">%
		        <input name="behindCircleAlpha" type="text" size="10" id="behindCircleAlpha" style="border:0; color:#000000; font-weight:bold;"/>
	          </div></td>
	    </tr>
      </table>
  </div>



</div>

<div style="text-align:center; padding:20px 0px 20px 0px;"><input name="Submit" type="submit" id="Submit" class="button-primary" value="Update Slider Settings"></div>

</form>
</div>
